package javaCodeGen;

public class JavaBoolean extends JavaDataType {
	
	@Override
	public String getType(int length) {		
		return "boolean";
	}

	@Override
	public String[] getByteArrayRep(String value, int length) {
		String[] result = new String[length];
		String eachByte;
		if (value.equalsIgnoreCase("true")){
			eachByte= "(byte) 0xFF";
		}else{
			eachByte= "0x00";			
		}
		for(int i = 0; i < length; i++){
			result[i] = eachByte;
		}
		return result;
	}

	@Override
	public void genByteArrayConverstion(String varname) {
		addL("boolean itsTrue = true");
		addL("for(int i =0; i <" + varname +".length && itsTrue; i++){");
		addL("result =&"+ varname,1);
		addL("}");		
	}

}
