package javaCodeGen;

public class JavaUnsignedInt extends JavaDataType {
	@Override
	public String getType(int length) {
		if(length <= 7)
			return "int";
		else if(length <= 15)
			return "long";
		else
			return "BigInteger";	
	}

	@Override
	public  String[] getByteArrayRep(String value, int length){
		String[] result = new String[length]; 
		if (length == 1){
			result[0] = value;
		}else{
			//FUTURE WORK
		}		
		return result;
	}

	@Override
	public void genByteArrayConverstion(String varname){
		 addL("int value =0;",2); 
		 addL("for(int i = 0; i < "+ varname+".length; i++){",2);
		 addL("int dig= "+ varname+"[i];",3);
		 addL("value = (int) (value + dig*(Math.pow(2, i)));",3);
		 addL("}",2);
		 addL("return value;",2);		
	}
}
